#
# spec file for package perl-Type-Tiny
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Type-Tiny
Version:        1.002002
Release:        lp152.3.2
%define cpan_name Type-Tiny
Summary:        Tiny, yet Moo(Se)-Compatible Type Constraint
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Type-Tiny/
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Exporter::Tiny) >= 0.026
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Exporter::Tiny) >= 0.026
Recommends:     perl(Devel::LexAlias) >= 0.05
Recommends:     perl(Devel::StackTrace)
Recommends:     perl(Ref::Util::XS) >= 0.100
Recommends:     perl(Regexp::Util) >= 0.003
Recommends:     perl(Sub::Util)
Recommends:     perl(Type::Tie)
Recommends:     perl(Type::Tiny::XS) >= 0.011
%{perl_requires}

%description
Type::Tiny is a tiny class for creating Moose-like type constraint objects
which are compatible with Moo, Moose and Mouse.

Maybe now we won't need to have separate MooseX, MouseX and MooX versions
of everything? We can but hope...

This documents the internals of Type::Tiny. Type::Tiny::Manual is a better
starting place if you're new.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes COPYRIGHT CREDITS doap.ttl examples NEWS README TODO
%license LICENSE

%changelog
* Wed Apr 18 2018 coolo@suse.com
- updated to 1.002002
  see /usr/share/doc/packages/perl-Type-Tiny/Changes
  1.002002	2018-04-17
  [ Bug Fixes ]
  - Compatibility with constants and with CV-in-stash optimisation.
    Fixes RT#123408.
    <https://rt.cpan.org/Ticket/Display.html?id=123408>
* Wed Jun 14 2017 coolo@suse.com
- updated to 1.002001
  see /usr/share/doc/packages/perl-Type-Tiny/Changes
  1.002001	2017-06-08
  [ Test Suite ]
  - Skip t/30-integration/Moose/native-attribute-traits.t on older Moose
    because Test::Moose is broken.
  [ Packaging ]
  - Ref::Util::XS 0.100 should be recommended, not 0.200 (which doesn't
    exist yet).
    Fixes RT#121981.
    <https://rt.cpan.org/Ticket/Display.html?id=121981>
* Fri Jun  2 2017 coolo@suse.com
- updated to 1.002000
  see /usr/share/doc/packages/perl-Type-Tiny/Changes
  1.002000	2017-06-01
  [ Packaging ]
  - Stable version number.
  1.001_016	2017-05-30
  [ Documentation ]
  - Include page-numbers.pl example
  1.001_015	2017-05-20
  [ Bug Fixes ]
  - Fix HashRef[Str]|Undef|Str parsing on Perl < 5.14.
    Fixes RT#121764.
    Aran Clary Deltac++
    Graham Knop++
    <https://rt.cpan.org/Ticket/Display.html?id=121764>
  1.001_014	2017-05-19
  - Include trailing line break at the end of stringified version of some
    exceptions.
    Peter Valdemar Mørch++
  1.001_013	2017-05-18	Kittiversary
  [ Bug Fixes ]
  - Fixed crazy amount of UTF-8 warnings from Type::Params on Perl 5.6.x and
    Perl 5.8.x.
    Fixes RT#101582.
    André Walker++
    <https://rt.cpan.org/Ticket/Display.html?id=101582>
    <https://github.com/tobyink/p5-type-tiny/pull/16>
  - StrMatch changes in previous release broke the ability to check type
    equality between two parameterized StrMatch types under some
    circumstances. Changed how the hash key for stashing regexp references
    gets built — is now closer to the old way. This doesn't revert the
    change in 1.001_012 where regexp checks can be inlined better, but only
    applies to those regexp references that can't easily be inlined.
  1.001_012	2017-05-17
  [ BACK COMPAT ]
  - RegexpRef now accepts blessed objects if $object->isa('Regexp') returns
    true.
  [ Other ]
  - StrMatch will use Regexp::Util (if available) to inline regular
    expressions more sensibly.
  1.001_011	2017-05-17
  [ Bug Fixes ]
  - Type constraints like Tuple[Int] shouldn't report they have a coercion
    if Int doesn't have a coercion.
  [ Other ]
  - Added: Types::Standard now has a CycleTuple type.
  1.001_010	2017-05-16	Puppiversary
  [ Test Suite ]
  - t/00-begin.t will now work around ANDK's apparently broken XS testing
    environment.
  1.001_009	2017-05-13
  - Rewrite some benchmarking scripts to use
    Benchmark::Featureset::ParamCheck.
  - Use Ref::Util::XS (if it's installed) to speed up certain type checks.
  1.001_008	2017-05-10
  [ Bug Fixes ]
  - Type::Params should make sure Type::Utils is loaded before calling
    english_list().
  [ Documentation ]
  - Rearrange the examples directory in the distribution.
  [ Other ]
  - Added: Named parameter validation benchmarking script.
  - Added: Reduce scope of local $SIG{__DIE__} in Type::Registry.
    Graham Knop++
  1.001_007	2017-05-04	May the fourth be with you
  [ Documentation ]
  - Comparison of Type::Params with new(ish) CPAN module
    Params::ValidationCompiler.
  - Show example of how to set defaults for parameters with Type::Params.
  [ Other ]
  - Added: Type::Params' `multisig` function now sets a variable
    `${^TYPE_PARAMS_MULTISIG}` to indicate which signature succeeded.
  - Optimization of Type::Params positional parameter checking for simple
    cases with no slurpy parameter and no coercions.
  - Optimizations for Tuple and StrMatch type constraints from
    Types::Standard.
  1.001_006	2017-04-30
  - Allow Type::Tiny's `constraint` parameter to be a string of Perl code.
  - Localize $SIG{__DIE__} in Type::Registry.
    Fixes RT#100780.
    <https://rt.cpan.org/Ticket/Display.html?id=100780>
  1.001_005	2017-04-19
  [ Bug Fixes ]
  - 02-api.t should check version of Moose available.
    <https://github.com/tobyink/p5-type-tiny/pull/20>
  - 20-unit/Type-Utils/warnings.t should check version of Test::Warnings.
    Alexandr Ciornii++
    <https://github.com/tobyink/p5-type-tiny/pull/21>
  - Fix minor typos in documentation for Types::Standard.
    Zoffix Znet++
    <https://github.com/tobyink/p5-type-tiny/pull/30>
  - Fix variable name typo in documentation for Type::Params.
    Lucas Buchala++
    <https://github.com/tobyink/p5-type-tiny/pull/37>
  [ Documentation ]
  - Include projected release date for Type::Tiny 1.002000 in NEWS.
  [ Test Suite ]
  - Bundle a test case for GH issue 14.
    <https://github.com/tobyink/p5-type-tiny/issues/14>
  [ Other ]
  - Improved error location reporting for Moo
    Peter Valdemar Mørch++
    <https://github.com/tobyink/p5-type-tiny/pull/35>
  - Updated: NumericCode now coerces from strings with whitespace in them,
    like MooseX::Types::Common::Numeric.
    Denis Ibaev++
    <https://github.com/tobyink/p5-type-tiny/pull/22>
  1.001_004	2017-02-06
  - Attempting ArrayRef[Int, Int] or similar now throws an exception.
    Fixes RT#105299.
    Thomas Sibley++
    <https://rt.cpan.org/Ticket/Display.html?id=105299>
  1.001_003	2017-02-02
  - Updated: Merge fixes from stable Type-Tiny 1.000006.
  1.001_002	2014-10-25
  [ Bug Fixes ]
  - Fix short-circuiting optimizations for parameterized HashRef, ArrayRef,
    ScalarRef, and Map type constraints.
    Fixes RT#99312.
    Marcel Timmerman++
    <https://rt.cpan.org/Ticket/Display.html?id=99312>
  - Inlined version of Types::Standard::Int should check that the value is
    not a reference.
  [ Test Suite ]
  - Fix annoying warning message in test suite with recent versions of
    Exporter::Tiny.
  [ Other ]
  - Make equals/is_a_type_of/is_subtype_of/is_supertype_of in
    Type::Tiny::Union work more like Moose::Meta::TypeConstraint::Union.
  1.001_001	2014-09-19
  - Lazy-load Text::Balanced in Type::Parser. (Many parses don't even need
    it.)
  - Lazy-load Type::Tiny::Union in Type::Params.
  - Updated: Prefer Sub::Util over Sub::Name. (The former is smaller.)
  1.001_000	2014-09-07
  [ Bug Fixes ]
  - Fix for Type::Registry::DWIM.
    Fixes RT#98458.
    Marcel Montes++
    <https://rt.cpan.org/Ticket/Display.html?id=98458>
  - Fix issues with coercions and native attribute traits with some oldish
    versions of Moose on oldish versions of Perl.
    Fixes RT#98159.
    Peter Flanigan++
    <https://rt.cpan.org/Ticket/Display.html?id=98159>
  [ Documentation ]
  - Updated NEWS file.
  - Updated TODO file.
  - Updates to Type::Tiny::Manual::UsingWithMoose,
    Type::Tiny::Manual::UsingWithMoo, and
    Type::Tiny::Manual::UsingWithMouse.
  [ Test Suite ]
  - Make some of the test case skip_all bits more ambitious; test older
    versions of Moose and Moo than we were testing before.
  [ Other ]
  - Added: Type::Params now provides `compile_named` and `validate_named`
    functions which do the same thing as `compile` and `validate` but are
    better for named arguments.
  - Updated: If Sub::Name is unavailable, but the shiny new core Sub::Util
    is available, then use it instead.
  - Updated: Want Type::Tiny::XS 0.011.
  - `Type::Utils::dwim_type` now allows more control over fallback
    behaviours.
* Tue Feb 14 2017 coolo@suse.com
- updated to 1.000006
  see /usr/share/doc/packages/perl-Type-Tiny/Changes
  1.000006	2017-01-30
  [ Bug Fixes ]
  - Fix escaping withing q{...} in a test case.
    Fixes RT#114386.
    Karen Etheridge++
    <https://rt.cpan.org/Ticket/Display.html?id=114386>
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.000005
  see /usr/share/doc/packages/perl-Type-Tiny/Changes
  1.000005	2014-10-25
  [ Bug Fixes ]
  - Fix short-circuiting optimizations for parameterized HashRef, ArrayRef,
    ScalarRef, and Map type constraints.
    Fixes RT#99312.
    Marcel Timmerman++
    <https://rt.cpan.org/Ticket/Display.html?id=99312>
  [ Test Suite ]
  - Fix annoying warning message in test suite with recent versions of
    Exporter::Tiny.
* Wed Sep 17 2014 coolo@suse.com
- updated to 1.000004, see Changes
* Tue Oct  1 2013 coolo@suse.com
- initial package 0.028
  * created by cpanspec 1.78.07
